Bug 525824 - Please update to offlineimap-6.2.0
Summary: Please update to offlineimap-6.2.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: offlineimap
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christoph Höger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 01:52 UTC by Ian Weller
Modified: 2010-11-16 10:28 UTC (History)
6 users (show)

Fixed In Version: offlineimap-6.2.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-30 06:10:02 UTC


Attachments (Terms of Use)

Description Ian Weller 2009-09-26 01:52:32 UTC
offlineimap version 6.2.0 is available upstream.

Comment 1 Christoph Höger 2009-10-23 18:43:43 UTC
Are there any new features that anybody really needs? I'd rather like to wait for some patches I submitted upstream. But obviously the upstream maintainer has not much time currently.

Comment 2 Bug Zapper 2009-11-16 12:57:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Sven Lankes 2010-03-29 18:59:48 UTC
6.2.0 has a feature that is pretty important to me: It works

With 6.1.2 i get the following error when trying to sync my @work-email. Works fine with 6.2.0.

Thread 'Account sync Work' terminated with exception:
Traceback (most recent call last):
File "/usr/lib/python2.6/site-packages/offlineimap/threadutil.py", line 149, in run
Thread.run(self)
File "/usr/lib64/python2.6/threading.py", line 477, in run self.__target(*self.__args, **self.__kwargs)
File "/usr/lib/python2.6/site-packages/offlineimap/accounts.py", line 187, in syncrunner self.sync(siglistener)
File "/usr/lib/python2.6/site-packages/offlineimap/accounts.py", line 224, in sync remoterepos.syncfoldersto(localrepos, [statusrepos])
File "/usr/lib/python2.6/site-packages/offlineimap/repository/Base.py", line 135, in syncfoldersto srcfolders = src.getfolders()
File "/usr/lib/python2.6/site-packages/offlineimap/repository/IMAP.py", line 226, in getfolders imapobj = self.imapserver.acquireconnection()
File "/usr/lib/python2.6/site-packages/offlineimap/imapserver.py", line 289, in acquireconnection imapobj.authenticate('CRAM-MD5', self.md5handler)
File "/usr/lib/python2.6/site-packages/offlineimap/imaplib2.py", line 530, in authenticate self._deliver_exc(self.error, dat[-1])
TypeError: _deliver_exc() takes exactly 4 arguments (3 given)

Last 4 debug messages logged for Account sync Work prior to exception:
maildir: MaildirRepository initialized, sep is '.'
imap: Attempting CRAM-MD5 authentication
imap: md5handler: got challenge <551537948.11596965@scalix.work.com>
imap: md5handler: returning username bad2e7cf7e01119b5cc5bddf8039b0b7

Comment 4 Christoph Höger 2010-04-14 11:37:53 UTC
Sorry for the late reply, notify mail got burried.

As upstream is rather dead (especially for the patches I submitted) I am going to do the update (which should be simple) as soon as I get my fingers on a stable f13 box.

If anyone wants to step in and co-maintain: Feel free to do so.

Please note: offlineimap 6.20 does not use imaplib2 anymore. Therefore there will be no IDLE support anymore.

Comment 5 J.H.M. Dassen (Ray) 2010-06-12 19:12:20 UTC
The upstream maintainer of offlineimap is retiring; see http://lists.alioth.debian.org/pipermail/offlineimap-project/2010-May/000131.html

I would appreciate an update of offlineimap in F13. With the current package, I was running into bug #596310 whereas I haven't had any crashes since updating to a local git HEAD build of offlineimap.

Comment 6 Fedora Update System 2010-09-19 14:41:53 UTC
offlineimap-6.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/offlineimap-6.2.0-2.fc14

Comment 7 Fedora Update System 2010-09-19 14:49:58 UTC
offlineimap-6.2.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/offlineimap-6.2.0-2.fc13

Comment 8 Fedora Update System 2010-09-20 18:43:16 UTC
offlineimap-6.2.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update offlineimap'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/offlineimap-6.2.0-2.fc14

Comment 9 Fedora Update System 2010-09-30 06:09:57 UTC
offlineimap-6.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-09-30 10:24:15 UTC
offlineimap-6.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Mark Wielaard 2010-09-30 22:15:27 UTC
After the update in f13 today I am getting:

***** Processing account Main
Copying folder structure from IMAP to Maildir
Establishing connection to localhost:9993.
WARNING: Error occured attempting to sync account Main: 'NoneType' object has no
 attribute 'replace'

And nothing syncs. Is that a known issue with the new version?

Comment 12 Mark Wielaard 2010-09-30 22:34:35 UTC
It can be worked around by explicitly adding an line like:
remotepass = mypassword
to your .offlineimaprc file.

I haven't been able to make interactive password entry work yet.


Note You need to log in before you can comment on or make changes to this bug.